Get one page of an X profile's posts
curl --request GET \
--url https://api.scoutlayer.io/v1/x/profiles/{handle}/posts \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.io/v1/x/profiles/{handle}/posts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.io/v1/x/profiles/{handle}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"posts": [
{
"postId": "<string>",
"text": "<string>",
"url": "<string>",
"publishedAt": "<string>",
"language": "<string>",
"conversationId": "<string>",
"isQuote": true,
"media": [
{
"url": "<string>",
"thumbnailUrl": "<string>"
}
],
"links": [
"<string>"
],
"hashtags": [
"<string>"
],
"metrics": {
"views": 123,
"likes": 123,
"comments": 123,
"shares": 123,
"quotes": 123,
"bookmarks": 123
},
"author": {
"handle": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"isVerified": true
}
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}X
X Profile Posts API
Recent posts from a profile, newest first.
GET
/
v1
/
x
/
profiles
/
{handle}
/
posts
Get one page of an X profile's posts
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Path Parameters
Minimum string length:
1Example:
"shopify"
Query Parameters
⌘I